#
# spec file for package gap-gradedmodules
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-gradedmodules
Version:        2017.09.10
Release:        lp150.1.2
Summary:        GAP: Abelian finitely presented graded modules over a computable graded ring
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://homalg-project.github.io/homalg_project/GradedModules/

#Git-Clone:	git://github.com/homalg-project/GradedModules
#Git-Web:	https://github.com/homalg-project/GradedModules
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/GradedModules-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gap-gapdoc >= 1.0
Requires:       gap-gradedringforhomalg >= 2013.10.27
Requires:       gap-homalg >= 2013.06.23
Requires:       gap-homalgtocas >= 2011.10.05
Requires:       gap-matricesforhomalg >= 2013.10.27
Requires:       gap-modules >= 2013.10.27
Requires:       gap-ringsforhomalg >= 2013.04.16
Requires:       gap-toolsforhomalg >= 2014.12.08

%description
This homalg based package realizes the computability of the Abelian
category of finitely presented graded modules over a computable
graded ring.

%prep
%setup -qn GradedModules-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.09.10
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.10
  * No changelog was provided
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 2015.12.04
  * No upstream changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2015.01.30
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.09.17
  * No changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.02.25
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.10.27
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split gradedmodules (version 2013.02.07) off the gap RPM package
